<?php
//lokasi folder fpdf
require("fpdf.php");
require("../_init.php");
require("../_connect2.php");
require("../_funcstd.php");

class laporan extends FPDF{

	function Header(){
		global $title;
		global $subtitle;
		global $detail;
		global $font;
		$this->SetFont("$font",'B',12);
		$this->Cell(0,0,$title,0,0,'',false);
		$this->Ln(5);
		$this->SetFont("$font",'',9);
		$this->Cell(0,0,$subtitle,0,0,'',false);
		$this->Ln(3);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(0,0,0);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,0,'',1,0,'C');
		$this->Ln(3);
		$this->SetFont("times",'i',8);
		$this->Cell(0,0,$detail,0,0,'',false);
		$this->Cell(0,0,'Page '.$this->PageNo().' of {nb}',0,0,'R');
		$this->Ln(5);
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,'Date',1,0,'C',true);
		$this->Cell(30,6,'Branch',1,0,'C',true);
		$this->Cell(50,6,'Voucher',1,0,'C',true);
		$this->Cell(60,6,'Description',1,0,'C',true);
		$this->Cell(30,6,'Voucher Value',1,0,'C',true);
		$this->Ln(7);
	}

	function Isi ($col1,$col2,$col3,$col4,$col5){
		global $font;
		$this->SetFont("$font",'',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,$col1,0,0,'C',true);
		$this->Cell(30,6,$col2,0,0,'',true);
		$this->Cell(50,6,$col3,0,0,'',true);
		$this->Cell(60,6,$col4,0,0,'',true);
		$this->Cell(30,6,$col5,0,0,'R',true);
		$this->Ln(5);
	}

	function total ($total){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,6,'Total',1,0,'C',true);
		$this->Cell(30,6,$total,1,0,'R',true);
		$this->Ln(5);
	}

	// Page footer
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('Arial','I',8);
		$this->Cell(0,10,'Printed: '. date('D, d-m-Y H:i:s') .' Data Copied: '. date('D, d-m-Y H:i:s'). ' Prepared by '. $_SESSION['login_user'],0,0,'');
	}
	
}

//get parameter
if ( $_POST['cabang'] != -1) {
	$wherecab = "(tblmutasi.KodeCabang = " . $_POST['cabang'] .") ";
} else {
	$wherecab = "";
}

if ( isset($_POST['bulanan']) ) {
	$tahun = isset($_POST['tahun']) ? $_POST['tahun'] : '';
	$bulan = isset($_POST['bulan']) ? $_POST['bulan'] : '';
	$charmonth = date('F', mktime(0, 0, 0, $bulan, 10));
	$detail = 'For Month :' . (isset($charmonth) ? $charmonth : '') .' '. (isset($tahun)? $tahun : '');
	$wheretanggal = "(YEAR(tblmutasi.Input_DateTime) = '$tahun' AND MONTH(tblmutasi.Input_DateTime) = '$bulan')";
} else {
	$tanggal = JQueryDate2Date($_POST['tanggal']);
	// $tanggal2 = JQueryDate2Date($_POST['tanggal2']);
	$detail = 'For Date : ' . (isset($_POST['tanggal']) ? $_POST['tanggal'] : '') . ' ' . (isset($_POST['tanggal']) ? $_POST['tanggal'] : '') ;
	// $wheretanggal = "(tblmutasi.Input_DateTime BETWEEN '$tanggal' AND ('$tanggal'+INTERVAL 1 DAY))";
	$wheretanggal = "(tblmutasi.Input_DateTime >= '$tanggal' AND tblmutasi.Input_DateTime <= '$tanggal 23:59:59')";
}

if ($wherecab != ""){
	$wherecond = "WHERE Kredit > 0 AND tblmutasi.Catatan LIKE 'PJECR ID%' AND " . $wherecab . " AND " . $wheretanggal;
} else {
	$wherecond = "WHERE Kredit > 0 AND tblmutasi.Catatan LIKE 'PJECR ID%' AND " . $wheretanggal;
}

// pdf setting
$pdf = new laporan();
$title = NAMA_PERUSAHAAN;
$subtitle = 'Used Voucher Report';
$pdf->SetTitle($subtitle);
$font = 'Helvetica';
// $font = 'Tahoma';
// $pdf->AddFont('Tahoma','','tahoma.php');
// $pdf->AddFont('Tahoma','B','tahomabd.php');

$pdf->AliasNbPages();
$pdf->AddPage('P','A4');
$pdf->SetTopMargin(20);
$pdf->SetLeftMargin(10);
$pdf->SetRightMargin(10);

//variable
$debet = array();

//get database
$select = "SELECT tblmutasi.PelangID AS PelangganID, tblmutasi.Input_DateTime AS Input_DateTime, tblmutasi.Catatan AS Catatan, tblcabang.NamaCabang AS NamaCabang, tblpelang.Nama AS Nama, tblpelang.Kode AS Kode ";
$perintahdb = "$select FROM tblmutasi INNER JOIN tblcabang ON tblmutasi.KodeCabang = tblcabang.KodeCabang INNER JOIN tblpelang ON tblmutasi.PelangID = tblpelang.ID $wherecond  GROUP BY tblmutasi.PelangID ORDER BY tblmutasi.Input_DateTime ASC, tblmutasi.KodeCabang ASC";

$sqlquery = DBQuery( $perintahdb );
while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {

	$totaltransaksipelang = 0;
	$wherecond2 = " AND tblmutasi.PelangID = ". $sqlrow['PelangganID'];
	$select2 = "SELECT tblmutasi.Kredit AS Kredit";
	$perintahdb2 = "$select2 FROM tblmutasi $wherecond $wherecond2 ORDER BY tblmutasi.Input_DateTime ASC, tblmutasi.KodeCabang ASC";
	$sqlquery2 = DBQuery( $perintahdb2 );
	while( $sqlrow2 = DBFetchAssoc( $sqlquery2 ) ) {
		$debet[] = $sqlrow2['Kredit'];
		$totaltransaksipelang += $sqlrow2['Kredit'];
	}
	$pdf->Isi( @Date2JQueryDate($sqlrow['Input_DateTime']), $sqlrow['NamaCabang'], $sqlrow['Nama'] . ' - ' . $sqlrow['Kode'] , $sqlrow['Catatan'] , @ShowFormatDigitNumber($totaltransaksipelang));

}

$total = array_sum($debet);
$pdf->total ( @ShowFormatDigitNumber($total) );
@DBQueryFree($sqlquery);

$pdf->Output('Used Voucher Report ' . $detail .'.pdf','I');
?>